# PulpAnsibleClient::PatchedansibleRoleRemote

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | A unique name for this remote. | [optional] 
**url** | **String** | The URL of an external content source. | [optional] 
**ca_cert** | **String** | A PEM encoded CA certificate used to validate the server certificate presented by the remote server. | [optional] 
**client_cert** | **String** | A PEM encoded client certificate used for authentication. | [optional] 
**client_key** | **String** | A PEM encoded private key used for authentication. | [optional] 
**tls_validation** | **Boolean** | If True, TLS peer validation must be performed. | [optional] 
**proxy_url** | **String** | The proxy URL. Format: scheme://user:password@host:port | [optional] 
**username** | **String** | The username to be used for authentication when syncing. | [optional] 
**password** | **String** | The password to be used for authentication when syncing. | [optional] 
**pulp_labels** | [**Object**](.md) |  | [optional] 
**download_concurrency** | **Integer** | Total number of simultaneous connections. | [optional] 
**policy** | [**PolicyEnum**](PolicyEnum.md) | The policy to use when downloading content. | [optional] 
**total_timeout** | **Float** | aiohttp.ClientTimeout.total (q.v.) for download-connections. | [optional] 
**connect_timeout** | **Float** | aiohttp.ClientTimeout.connect (q.v.) for download-connections. | [optional] 
**sock_connect_timeout** | **Float** | aiohttp.ClientTimeout.sock_connect (q.v.) for download-connections. | [optional] 
**sock_read_timeout** | **Float** | aiohttp.ClientTimeout.sock_read (q.v.) for download-connections. | [optional] 
**rate_limit** | **Integer** | Limits total download rate in requests per second | [optional] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::PatchedansibleRoleRemote.new(name: null,
                                 url: null,
                                 ca_cert: null,
                                 client_cert: null,
                                 client_key: null,
                                 tls_validation: null,
                                 proxy_url: null,
                                 username: null,
                                 password: null,
                                 pulp_labels: null,
                                 download_concurrency: null,
                                 policy: null,
                                 total_timeout: null,
                                 connect_timeout: null,
                                 sock_connect_timeout: null,
                                 sock_read_timeout: null,
                                 rate_limit: null)
```


